- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/create#try-it)

Creates a new inventory source group. Returns the newly created inventory source group if successful.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/inventorySourceGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| Required. Identifies the DV360 entity that owns the inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the inventory source group. Only this partner will have write access to this group. Only advertisers to which this group is explicitly shared will have read access to this group. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the inventory source group. The parent partner will not have access to this group. |
| End of mutually exclusive fields. ||

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups#InventorySourceGroup`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups#InventorySourceGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).